$mdc-typography-font-family: $font-family;

@import "@material/typography/mixins";

.typo {
  &--h1 {
    @include mdc-typography('headline1')
  }
  &--h2 {
    @include mdc-typography('headline2')
  }
  &--h3 {
    @include mdc-typography('headline3')
  }
  &--h4 {
    @include mdc-typography('headline4')
  }
  &--h5 {
    @include mdc-typography('headline5')
  }
  &--h6 {
    @include mdc-typography('headline6')
  }
  &--s1 {
    @include mdc-typography('subtitle1')
  }
  &--s2 {
    @include mdc-typography('subtitle2')
  }
  &--b1 {
    @include mdc-typography('body1')
  }
  &--b2 {
    @include mdc-typography('body2')
  }
  &--c {
    @include mdc-typography('caption')
  }
  &--o {
    @include mdc-typography('overline')
  }
}
